Bug 1382941

Summary: [abrt] gparted: Glib::ustring::compare(): gpartedbin killed by SIGSEGV
Product: [Fedora] Fedora Reporter: Marcus <marcusnaphan>
Component: gpartedAssignee: Mukundan Ragavan <nonamedotc>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: dakingun, marcusnaphan, mike.fleetwood, nonamedotc
Target Milestone: ---Flags: mike.fleetwood: needinfo? (marcusnaphan)
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/e70735c3c46991827b090dec200223a05dc283eb
Whiteboard: abrt_hash:15291decd4d0715b99acf8ac980ec0ffbb5cee3a;VARIANT_ID=workstation;
Fixed In Version: gparted-0.27.0-1.fc24 gparted-0.27.0-1.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-10 03:29:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: mountinfo
none
File: namespaces
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages
none
File: exploitable none

Description Marcus 2016-10-08 16:06:08 UTC
Version-Release number of selected component:
gparted-0.26.1-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/sbin/gpartedbin
crash_function: Glib::ustring::compare
executable:     /usr/sbin/gpartedbin
global_pid:     5286
kernel:         4.7.6-100.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Glib::ustring::compare at ustring.cc:699
 #1 Glib::operator== at /usr/include/glibmm-2.4/glibmm/ustring.h:1522
 #2 GParted::Partition::operator== at Partition.cc:278
 #3 GParted::DrawingAreaVisualDisk::set_selected at DrawingAreaVisualDisk.cc:327
 #5 GParted::Win_GParted::Refresh_Visual at Win_GParted.cc:1001
 #6 GParted::Win_GParted::combo_devices_changed at Win_GParted.cc:1368
 #7 sigc::slot0<void>::operator() at /usr/include/sigc++-2.0/sigc++/functors/slot.h:440
 #8 Glib::SignalProxyNormal::slot0_void_callback at signalproxy.cc:91
 #13 gtk_combo_box_set_active_internal at gtkcombobox.c:5183
 #14 gtk_combo_box_set_active_iter at gtkcombobox.c:5239

Comment 1 Marcus 2016-10-08 16:06:15 UTC
Created attachment 1208371 [details]
File: backtrace

Comment 2 Marcus 2016-10-08 16:06:17 UTC
Created attachment 1208372 [details]
File: cgroup

Comment 3 Marcus 2016-10-08 16:06:20 UTC
Created attachment 1208373 [details]
File: core_backtrace

Comment 4 Marcus 2016-10-08 16:06:22 UTC
Created attachment 1208374 [details]
File: dso_list

Comment 5 Marcus 2016-10-08 16:06:24 UTC
Created attachment 1208375 [details]
File: environ

Comment 6 Marcus 2016-10-08 16:06:25 UTC
Created attachment 1208376 [details]
File: limits

Comment 7 Marcus 2016-10-08 16:06:28 UTC
Created attachment 1208377 [details]
File: maps

Comment 8 Marcus 2016-10-08 16:06:30 UTC
Created attachment 1208378 [details]
File: mountinfo

Comment 9 Marcus 2016-10-08 16:06:32 UTC
Created attachment 1208379 [details]
File: namespaces

Comment 10 Marcus 2016-10-08 16:06:34 UTC
Created attachment 1208380 [details]
File: open_fds

Comment 11 Marcus 2016-10-08 16:06:36 UTC
Created attachment 1208381 [details]
File: proc_pid_status

Comment 12 Marcus 2016-10-08 16:06:38 UTC
Created attachment 1208382 [details]
File: var_log_messages

Comment 13 Marcus 2016-10-08 16:06:40 UTC
Created attachment 1208383 [details]
File: exploitable

Comment 14 Mukundan Ragavan 2016-10-09 17:49:55 UTC
Can you please post the steps that I can use to reproduce the crash?

Thanks!

Comment 15 Mike Fleetwood 2016-10-23 18:46:08 UTC
Please post the steps to reproduce the crash.

Comment 16 Fedora Update System 2016-11-02 01:12:21 UTC
gparted-0.27.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9110e35304

Comment 17 Fedora Update System 2016-11-02 01:12:36 UTC
gparted-0.27.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-be8f7cacce

Comment 18 Fedora Update System 2016-11-02 14:52:40 UTC
gparted-0.27.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9110e35304

Comment 19 Mike Fleetwood 2016-11-03 20:45:56 UTC
For the record it is unlikely that gparted-0.27.0 fixes this crash.
It it probably an unusual set of factors with Marcus' setup or usage
which is triggering the crash.  However in the absence of any details of
how to produce the crash this bug can't be investigated further.

Comment 20 Mukundan Ragavan 2016-11-04 01:36:06 UTC
Considering this is an ABRT report, it is entirely possible that Marcus did not see this crash after it was reported ...

Comment 21 Fedora Update System 2016-11-05 03:31:44 UTC
gparted-0.27.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-be8f7cacce

Comment 22 Fedora Update System 2016-11-10 03:29:21 UTC
gparted-0.27.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-11-19 21:07:54 UTC
gparted-0.27.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.